%[num,RecordNormal]=xlsread('300.xlsx',2);
%[num,RecordFA]=xlsread('300.xlsx',3);
%[num,RecordOtros]=xlsread('300.xlsx',5);


for i= 1:length(RecordNormal)
[tm,ecg,fs,siginfo]=rdmat(RecordNormal{i});
Y= fft(ecg);
P2 = abs(Y/length(ecg));
P1 = P2(1:length(ecg)/2+1);
P1(2:end-1) = 2*P1(2:end-1);
f = fs*(0:(length(ecg)/2))/length(ecg);
FFN1=find(P1==max(P1));
P1(find(P1==max(P1)))=[];
FFN2=find(P1==max(P1));
FFN(i)=FFN1/FFN2;
%plot(f,P1) 
%title('Single-Sided Amplitude Spectrum of X(t)')
%xlabel('f (Hz)')
%ylabel('|P1(f)|')
end

for i= 1:length(RecordFA)
[tm,ecg,fs,siginfo]=rdmat(RecordFA{i});
Y= fft(ecg);
P2 = abs(Y/length(ecg));
P1 = P2(1:length(ecg)/2+1);
P1(2:end-1) = 2*P1(2:end-1);
f = fs*(0:(length(ecg)/2))/length(ecg);
FFFA1=find(P1==max(P1));
P1(find(P1==max(P1)))=[];
FFFA2=find(P1==max(P1));
FFFA(i)=FFFA1/FFFA2;
end


for i= 1:length(RecordOtros)
[tm,ecg,fs,siginfo]=rdmat(RecordOtros{i});
Y= fft(ecg);
P2 = abs(Y/length(ecg));
P1 = P2(1:length(ecg)/2+1);
P1(2:end-1) = 2*P1(2:end-1);
f = fs*(0:(length(ecg)/2))/length(ecg);
FFO1=find(P1==max(P1));
P1(find(P1==max(P1)))=[];
FFO2=find(P1==max(P1));
FFO(i)=FFO1/FFO2;
end

ff=[FFN FFFA FFO];

g = [repmat(1, [length(FFN), 1]) ; repmat(2, [length(FFFA), 1]); repmat(3, [length(FFO), 1])]; 
figure; 
boxplot([FFN FFFA FFO], g,'Notch','on','Labels', {'N','FA','O'},'Whisker',1)
title('FF')



