[num,RecordNormal]=xlsread('8000.xlsx',2);
[num,RecordFA]=xlsread('8000.xlsx',3);
[num,RecordRuido]=xlsread('8000.xlsx',4);
[num,RecordOtros]=xlsread('8000.xlsx',5);

for i= 1:length(RecordNormal)
    a=load (RecordNormal{i});
    signal=a.val;
    [R,sign,en_thres] = qrs_detect2(signal',0.25,0.6,fs);
    [latidos,lim_vent,Rn] = enventana_QRS(signal,R,300,200,fs);
    [indP,indR,ISOamp,beat, signalfilt]=detectaP(signal,fs,latidos,Rn);
    p_amp_corr=signal(indP)-ISOamp';
    p_amp_corr_media=mean(p_amp_corr);
    r_amp_corr=signal(indR)-ISOamp';
    r_amp_corr_media=mean(r_amp_corr);
    ratioN(i)=  p_amp_corr_media/r_amp_corr_media;   
end
for i= 1:length(RecordFA)
    a=load (RecordFA{i});
    signal=a.val;
    [R,sign,en_thres] = qrs_detect2(signal',0.25,0.6,fs);
    [latidos,lim_vent,Rn] = enventana_QRS(signal,R,300,200,fs);
    [indP,indR,ISOamp,beat, signalfilt]=detectaP(signal,fs,latidos,Rn);
    p_amp_corr=signal(indP)-ISOamp';
    p_amp_corr_media=mean(p_amp_corr);
    r_amp_corr=signal(indR)-ISOamp';
    r_amp_corr_media=mean(r_amp_corr);
    ratioFA(i)=  p_amp_corr_media/r_amp_corr_media;   
end
for i= 1:length(RecordRuido)
    a=load (RecordRuido{i});
    signal=a.val;
    [R,sign,en_thres] = qrs_detect2(signal',0.25,0.6,fs);
    [latidos,lim_vent,Rn] = enventana_QRS(signal,R,300,200,fs);
    [indP,indR,ISOamp,beat, signalfilt]=detectaP(signal,fs,latidos,Rn);
    p_amp_corr=signal(indP)-ISOamp';
    p_amp_corr_media=mean(p_amp_corr);
    r_amp_corr=signal(indR)-ISOamp';
    r_amp_corr_media=mean(r_amp_corr);
    ratioR(i)=  p_amp_corr_media/r_amp_corr_media;   
end
for i= 1:length(RecordOtros)
    a=load (RecordOtros{i});
    signal=a.val;
    [R,sign,en_thres] = qrs_detect2(signal',0.25,0.6,fs);
    [latidos,lim_vent,Rn] = enventana_QRS(signal,R,300,200,fs);
    [indP,indR,ISOamp,beat, signalfilt]=detectaP(signal,fs,latidos,Rn);
    p_amp_corr=signal(indP)-ISOamp';
    p_amp_corr_media=mean(p_amp_corr);
    r_amp_corr=signal(indR)-ISOamp';
    r_amp_corr_media=mean(r_amp_corr);
    ratioO(i)=  p_amp_corr_media/r_amp_corr_media;   
end

ratioOndaP =  [ratioN ratioFA ratioR ratioO];
g = [repmat(1, [length(ratioN), 1]) ; repmat(2, [length(ratioFA), 1]); repmat(3, [length(ratioR), 1]); repmat(4, [length(ratioO), 1])];
figure; 
boxplot([ratioN ratioFA ratioR ratioO], g,'Notch','on','Labels', {'ratioN','ratioFA','ratioR','ratioO'},'Whisker',1)
title('OndaP')