% [num,RecordNormal]=xlsread('300.xlsx',2); 
% [num,RecordFA]=xlsread('300.xlsx',3);
% [num,RecordRuido]=xlsread('300.xlsx',4);
% [num,RecordOtros]=xlsread('300.xlsx',5);
RRN=[]; RRFA=[]; RRR=[]; RRO=[];
f=[];amp=[];

for i= 1:length(RecordNormal)
    [tm,ecg,fs,siginfo]=rdmat(RecordNormal{i});
    NFFT = 2 ^ nextpow2(length(ecg)); 
    Y = fft(double(ecg), NFFT) / length(ecg);
    f = (double(300) / 2 * linspace(0, 1, NFFT / 2))'; % Vector containing frequencies in Hz
    amp = 2 * abs(Y(1:(NFFT / 2))); % Vector containing corresponding amplitudes
    PSD = sqrt(abs(amp)); 
    var1N(i) = mean(PSD);
end

for i= 1:length(RecordFA)
    [tm,ecg,fs,siginfo]=rdmat(RecordFA{i});
    NFFT = 2 ^ nextpow2(length(ecg)); 
    Y = fft(double(ecg), NFFT) / length(ecg);
    f = (double(300) / 2 * linspace(0, 1, NFFT / 2))'; % Vector containing frequencies in Hz
    amp = 2 * abs(Y(1:(NFFT / 2))); % Vector containing corresponding amplitudes
    PSD = sqrt(abs(amp)); 
    var1A(i) = mean(PSD);
end


for i= 1:length(RecordOtros)
   [tm,ecg,fs,siginfo]=rdmat(RecordOtros{i});
   NFFT = 2 ^ nextpow2(length(ecg)); 
   Y = fft(double(ecg), NFFT) / length(ecg);
   f = (double(300) / 2 * linspace(0, 1, NFFT / 2))'; % Vector containing frequencies in Hz
   amp = 2 * abs(Y(1:(NFFT / 2))); % Vector containing corresponding amplitudes
   PSD = sqrt(abs(amp)); 
   var1O(i) = mean(PSD);
end

 PSDmedia = [var1N var1A var1O];

% g = [repmat(1, [length(var1N), 1]) ; repmat(2, [length(var1A), 1]); repmat(3, [length(var1R), 1]); repmat(4, [length(var1O), 1])];
% figure; 
% boxplot([var1N var1A var1R var1O], g,'Notch','on','Labels', {'N','FA','R','O'},'Whisker',1)
% title('Media PSD')