% [num,RecordNormal]=xlsread('300.xlsx',2); 
% [num,RecordFA]=xlsread('300.xlsx',3);
% [num,RecordRuido]=xlsread('300.xlsx',4);
% [num,RecordOtros]=xlsread('300.xlsx',5);
RRN=[]; RRFA=[]; RRR=[]; RRO=[];
%eli = 3; 
for i= 1:length(RecordNormal)
    [tm,ecg,fs,siginfo]=rdmat(RecordNormal{i});
    [QRS,sign,en_thres] = qrs_detect2(ecg',0.25,0.6,fs);
    RRN=diff(QRS')/fs;
     %Quitamos 3 maximos y minimos para eliminar outliers

    for j= 1:(length(RRN)-1)
        difRR(j) = (RRN(j+1)-RRN(j))^2;
    end
    
    RMSSDN(i) = (sqrt(1/(length(QRS)-1))*sum(difRR)); 
    %RMSSDN(i) = RMSSDN/mean(RRN);
end

for i= 1:length(RecordFA)
    [tm,ecg,fs,siginfo]=rdmat(RecordFA{i});
    [QRS,sign,en_thres] = qrs_detect2(ecg',0.25,0.6,fs);
    RRFA=diff(QRS')/fs;

    for j= 1:(length(RRFA)-1)
        difRR(j) = (RRFA(j+1)-RRFA(j))^2;
    end
   
    RMSSDFA(i) = (sqrt(1/(length(QRS)-1))*sum(difRR)); 
   % RMSSDFA(i) = RMSSDFA/mean(RRFA);
end

for i= 1:length(RecordOtros)
    [tm,ecg,fs,siginfo]=rdmat(RecordOtros{i});
    [QRS,sign,en_thres] = qrs_detect2(ecg',0.25,0.6,fs);
    RRO=diff(QRS')/fs;

    for j= 1:(length(RRO)-1)
        difRR(j) = (RRO(j+1)-RRO(j))^2;
    end

    RMSSDO(i) = (sqrt(1/(length(QRS)-1))*sum(difRR)); 
    %RMSSDO(i) = RMSSDO/mean(RRO);
end

RMSSD=[RMSSDN RMSSDFA RMSSDO]
RMSSD=abs(RMSSD);
g = [repmat(1, [length(RMSSDN), 1]) ; repmat(2, [length(RMSSDFA), 1]); repmat(3, [length(RMSSDO), 1])];
figure; 
boxplot([RMSSDN RMSSDFA RMSSDO], g,'Notch','on','Labels', {'N','FA','O'},'Whisker',1)
title('RMSD intervalos RR')
