% [num,RecordNormal]=xlsread('300.xlsx',2); 
% [num,RecordFA]=xlsread('300.xlsx',3);
% [num,RecordRuido]=xlsread('300.xlsx',4);
% [num,RecordOtros]=xlsread('300.xlsx',5);
RRN=[]; RRFA=[]; RRR=[]; RRO=[];

for i= 1:length(RecordNormal)
    [tm,ecg,fs,siginfo]=rdmat(RecordNormal{i});
    [QRS,sign,en_thres] = qrs_detect2(ecg',0.25,0.6,fs);
     RRN(i)=std(diff(QRS')/fs);
end

for i= 1:length(RecordFA)
    [tm,ecg,fs,siginfo]=rdmat(RecordFA{i});
     [QRS,sign,en_thres] = qrs_detect2(ecg',0.25,0.6,fs);
     RRFA(i)=std(diff(QRS')/fs);
end


for i= 1:length(RecordOtros)
    [tm,ecg,fs,siginfo]=rdmat(RecordOtros{i});
     [QRS,sign,en_thres] = qrs_detect2(ecg',0.25,0.6,fs);
     RRO(i)=std(diff(QRS')/fs);
end

stdRR = [RRN RRFA RRO];
% 
% g = [repmat(1, [length(RRN), 1]) ; repmat(2, [length(RRFA), 1]); repmat(3, [length(RRR), 1]); repmat(4, [length(RRO), 1])];
% figure; 
% boxplot([RRN RRFA RRR RRO], g,'Notch','on','Labels', {'N','FA','R','O'},'Whisker',1)
% title('Std intervalos RR')