[num,RecordNormal]=xlsread('300.xlsx',2); 
[num,RecordFA]=xlsread('300.xlsx',3);
[num,RecordRuido]=xlsread('300.xlsx',4);
[num,RecordOtros]=xlsread('300.xlsx',5);
   
[tm,ecg,fs,siginfo]=rdmat(RecordNormal{1});
[QRS,sign,en_thres] = qrs_detect2(ecg',0.25,0.6,fs);
RRN1=diff(QRS')./fs;
for i= 2:length(RecordNormal)
%Leemos Seal
    [tm,ecg,fs,siginfo]=rdmat(RecordNormal{i});
%Sacamos QRS
    [QRS,sign,en_thres] = qrs_detect2(ecg',0.25,0.6,fs);
%Obtenemos la diferencia pico a pico 
    RRN2=diff(QRS')./fs;
    SD1N(i)=var(abs(RRN2-RRN1))/sqrt(2);
    SD2N(i)=var(abs((RRN2+RRN1)/sqrt(2)-mean((RRN2+RRN1)/2)));
    RRN1 = RRN2; 
end
 
[tm,ecg,fs,siginfo]=rdmat(RecordFA{1});
[QRS,sign,en_thres] = qrs_detect2(ecg',0.25,0.6,fs);
RRFA1=diff(QRS')./fs;
for i= 2:length(RecordFA)
%Leemos Seal
    [tm,ecg,fs,siginfo]=rdmat(RecordFA{i});
%Sacamos QRS
    [QRS,sign,en_thres] = qrs_detect2(ecg',0.25,0.6,fs);
%Obtenemos la diferencia pico a pico 
    RRFA2=diff(QRS')./fs;
    SD1FA(i)=var(abs(RRFA2-RRFA1))/sqrt(2);
    SD2FA(i)=var(abs((RRFA2+RRFA1)/sqrt(2)-mean((RRFA2+RRFA1)/2)));
    RRFA1 = RRFA2; 
end

[tm,ecg,fs,siginfo]=rdmat(RecordRuido{1});
[QRS,sign,en_thres] = qrs_detect2(ecg',0.25,0.6,fs);
RRR1=diff(QRS')./fs;
for i= 2:length(RecordRuido)
%Leemos Seal
    [tm,ecg,fs,siginfo]=rdmat(RecordRuido{i});
%Sacamos QRS
    [QRS,sign,en_thres] = qrs_detect2(ecg',0.25,0.6,fs);
%Obtenemos la diferencia pico a pico 
    RRR2=diff(QRS')./fs;
    SD1R(i)=var(abs(RRR2-RRR1))/sqrt(2);
    SD2R(i)=var(abs((RRR2+RRR1)/sqrt(2)-mean((RRR2+RRR1)/2)));
    RRR1 = RRR2; 
end

[tm,ecg,fs,siginfo]=rdmat(RecordOtros{1});
[QRS,sign,en_thres] = qrs_detect2(ecg',0.25,0.6,fs);
RRO1=diff(QRS')./fs;
for i= 2:length(RecordOtros)
%Leemos Seal
    [tm,ecg,fs,siginfo]=rdmat(RecordOtros{i});
%Sacamos QRS
    [QRS,sign,en_thres] = qrs_detect2(ecg',0.25,0.6,fs);
%Obtenemos la diferencia pico a pico 
    RRO2=diff(QRS')./fs;
    SD1O(i)=var(abs(RRO2-RRO1))/sqrt(2);
    SD2O(i)=var(abs((RRO2+RRO1)/sqrt(2)-mean((RRO2+RRO1)/2)));
    RRO1 = RRO2; 
end
 
SD1 = [SD1N SD1FA SD1R SD1O];
g1 = [repmat(1, [length(SD1N), 1]) ; repmat(2, [length(SD1FA), 1]); repmat(3, [length(SD1R), 1]); repmat(4, [length(SD1O), 1])];
figure; 
boxplot([SD1N SD1FA SD1R SD1O], g1,'Notch','on','Labels', {'SD1N','SD1FA','SD1R','SD1O'},'Whisker',1)
title('Desviacin 1 intervalos RR')

SD2 = [SD2N SD2FA SD2R SD2O];
g2 = [repmat(1, [length(SD2N), 1]) ; repmat(2, [length(SD2FA), 1]); repmat(3, [length(SD2R), 1]); repmat(4, [length(SD2O), 1])];
figure; 
boxplot([SD2N SD2FA SD2R SD2O], g2,'Notch','on','Labels', {'SD2N','SD2FA','SD2R','SD2O'},'Whisker',1)
title('Desviacin 2 intervalos RR')
