function [ecgout, amp,f] = fdetec( ecg, fs,lim_ventana,latidos)


m = mode(ecg);
ecg = ecg - m;
ini = lim_ventana(:,1);
fin = lim_ventana(:,2);

[tipo_QRS,patrones,num_complejos] = ClasificaComplejos(latidos);

for i =1:size(latidos,1)
    d = (patrones(tipo_QRS(i),:)*latidos(i,:)')/(patrones(tipo_QRS(i),:) * latidos(i,:)');
    sust = latidos(i,:) - d*patrones(tipo_QRS(i),:);
    ecg(ini(i):fin(i)) = sust;
end
 ecgout = ecg;
 [ amp,f ] = transformada( ecgout, fs );
end