%  [num,RecordNormal]=xlsread('300.xlsx',2); 
%  [num,RecordFA]=xlsread('300.xlsx',3);
%  [num,RecordOtros]=xlsread('300.xlsx',5);

for i= 1:length(RecordNormal)
    [tm,ecg,fs,siginfo]=rdmat(RecordNormal{i});
    [QRS,sign,en_thres] = qrs_detect2(ecg',0.25,0.6,fs);
    RRN=diff(QRS')/fs;
    for j= 1:(length(RRN)-1)
        M1NL(j)=abs(RRN(j+1)-RRN(j))/sqrt(2);
        M2NL(j)=abs((RRN(j+1)+RRN(j))/sqrt(2)-2*mean(RRN));
    end
    M1N(i)=var(M1NL);
    M2N(i)=var(M2NL);
end

for i= 1:length(RecordFA)
    [tm,ecg,fs,siginfo]=rdmat(RecordFA{i});
    [QRS,sign,en_thres] = qrs_detect2(ecg',0.25,0.6,fs);
    RRFA=diff(QRS')/fs;
    for j= 1:(length(RRFA)-1)
        M1FAL(j)=abs(RRFA(j+1)-RRFA(j))/sqrt(2);
        M2FAL(j)=abs((RRFA(j+1)+RRFA(j))/sqrt(2)-2*mean(RRFA));
    end
    M1FA(i)=var(M1FAL);
    M2FA(i)=var(M2FAL);
end

for i= 1:length(RecordOtros)
    [tm,ecg,fs,siginfo]=rdmat(RecordOtros{i});
    [QRS,sign,en_thres] = qrs_detect2(ecg',0.25,0.6,fs);
    RRO=diff(QRS')/fs;
    for j= 1:(length(RRO)-1)
        M1OL(j)=abs(RRO(j+1)-RRO(j))/sqrt(2);
        M2OL(j)=abs((RRO(j+1)+RRO(j))/sqrt(2)-2*mean(RRO));
    end
    M1O(i)=var(M1OL);
    M2O(i)=var(M2OL);
end


M1 = [M1N M1FA M1O];
% g1 = [repmat(1, [length(M1N), 1]) ; repmat(2, [length(M1FA), 1]);  repmat(3, [length(M1O), 1])];
% figure; 
% boxplot([M1N M1FA M1O], g1,'Notch','on','Labels', {'M1N','M1FA','M1O'},'Whisker',1)
% title('Media 1 intervalos RR')

M2 = [M2N M2FA M2O];
% g2 = [repmat(1, [length(M2N), 1]) ; repmat(2, [length(M2FA), 1]); repmat(3, [length(M2O), 1])];
% figure; 
% boxplot([M2N M2FA M2O], g2,'Notch','on','Labels', {'M2N','M2FA','M2O'},'Whisker',1)
% title('Media 2 intervalos RR')