[num,RecordNormal]=xlsread('300.xlsx',2);
[num,RecordFA]=xlsread('300.xlsx',3);
[num,RecordRuido]=xlsread('300.xlsx',4);
[num,RecordOtros]=xlsread('300.xlsx',5);

for i= 1:length(RecordNormal)
    [tm,ecg,fs,siginfo]=rdmat(RecordNormal{i});
    [QRS,sign,en_thres] = qrs_detect2(ecg',0.25,0.6,fs);
    RR=diff(QRS')/fs;
    HR=60./RR;
    varHRN(i)=mean(HR);
end

for i= 1:length(RecordFA)
    [tm,ecg,fs,siginfo]=rdmat(RecordFA{i});
    [QRS,sign,en_thres] = qrs_detect2(ecg',0.25,0.6,fs);
    RR=diff(QRS')/fs;
    HR=60./RR;
    varHRFA(i)=mean(HR);
end

for i= 1:length(RecordRuido)
    [tm,ecg,fs,siginfo]=rdmat(RecordRuido{i});
    [QRS,sign,en_thres] = qrs_detect2(ecg',0.25,0.6,fs);
    RR=diff(QRS')/fs;
    HR=60./RR;
    varHRR(i)=mean(HR);
end

for i= 1:length(RecordOtros)
    [tm,ecg,fs,siginfo]=rdmat(RecordOtros{i});
   [QRS,sign,en_thres] = qrs_detect2(ecg',0.25,0.6,fs);
    RR=diff(QRS')/fs;
    HR=60./RR;
    varHRO(i)=mean(HR);
end

%stdRR = [RRN RRFA RRR RRO];

g = [repmat(1, [length(varHRN), 1]) ; repmat(2, [length(varHRFA), 1]); repmat(3, [length(varHRR), 1]); repmat(4, [length(varHRO), 1])];
figure; 
boxplot([varHRN varHRFA varHRR varHRO], g,'Notch','on','Labels', {'N','FA','R','O'},'Whisker',1)
title('Mean HR')