[num,RecordNormal]=xlsread('300.xlsx',2); 
[num,RecordFA]=xlsread('300.xlsx',3);
[num,RecordRuido]=xlsread('300.xlsx',4);
[num,RecordOtros]=xlsread('300.xlsx',5);
RRN=[]; RRFA=[]; RRR=[]; RRO=[];

for i= 1:length(RecordNormal)
    [tm,ecg,fs,siginfo]=rdmat(RecordNormal{i});
    [QRS,sign,en_thres] = qrs_detect2(ecg',0.25,0.6,fs);
     RRN(i)=mean(diff(QRS')/fs);
end

for i= 1:length(RecordFA)
    [tm,ecg,fs,siginfo]=rdmat(RecordFA{i});
     [QRS,sign,en_thres] = qrs_detect2(ecg',0.25,0.6,fs);
     RRFA(i)=mean(diff(QRS')/fs);
end

for i= 1:length(RecordRuido)
    [tm,ecg,fs,siginfo]=rdmat(RecordRuido{i});
     [QRS,sign,en_thres] = qrs_detect2(ecg',0.25,0.6,fs);
     RRR(i)=mean(diff(QRS')/fs);
end

for i= 1:length(RecordOtros)
    [tm,ecg,fs,siginfo]=rdmat(RecordOtros{i});
     [QRS,sign,en_thres] = qrs_detect2(ecg',0.25,0.6,fs);
     RRO(i)=mean(diff(QRS')/fs);
end

figure
subplot(2,2,1)
boxplot(RRN)
subplot(2,2,2)
boxplot(RRFA)
subplot(2,2,3)
boxplot(RRR)
subplot(2,2,4)
boxplot(RRO)

g = [repmat(1, [length(RRN), 1]) ; repmat(2, [length(RRFA), 1]); repmat(3, [length(RRR), 1]); repmat(4, [length(RRO), 1])];
figure; 
boxplot([RRN RRFA RRR RRO], g, 'RRN','RRFA','RRR','RRO')
title('Media intervalos RR')
