%[num,RecordNormal]=xlsread('4500.xlsx',1); 
%[num,RecordFA]=xlsread('4500.xlsx',2);
%[num,RecordRuido]=xlsread('4500.xlsx',3);
%[num,RecordOtros]=xlsread('4500.xlsx',4);
RRN=[]; RRFA=[]; RRR=[]; RRO=[];
f=[];amp=[];

for i= 1:length(RecordNormal)
    [tm,ecg,fs,siginfo]=rdmat(RecordNormal{i});
    NFFT = 2 ^ nextpow2(length(ecg)); 
    Y = fft(double(ecg), NFFT) / length(ecg);
    f = (double(300) / 2 * linspace(0, 1, NFFT / 2))'; % Vector containing frequencies in Hz
    amp = 2 * abs(Y(1:(NFFT / 2))); % Vector containing corresponding amplitudes
    Energy95=sum(amp)*0.95;
    Energy=cumsum(amp);
    [mini pos]=min(abs(Energy-Energy95));
    RRN(i)=f(pos); 
end

for i= 1:length(RecordFA)
    [tm,ecg,fs,siginfo]=rdmat(RecordFA{i});
    NFFT = 2 ^ nextpow2(length(ecg)); 
    Y = fft(double(ecg), NFFT) / length(ecg);
    f = (double(300) / 2 * linspace(0, 1, NFFT / 2))'; % Vector containing frequencies in Hz
    amp = 2 * abs(Y(1:(NFFT / 2))); % Vector containing corresponding amplitudes
    Energy95=sum(amp)*0.95;
    Energy=cumsum(amp);
    [mini pos]=min(abs(Energy-Energy95));
    RRFA(i)=f(pos); 
end

for i= 1:length(RecordRuido)
    [tm,ecg,fs,siginfo]=rdmat(RecordRuido{i});
    NFFT = 2 ^ nextpow2(length(ecg)); 
    Y = fft(double(ecg), NFFT) / length(ecg);
    f = (double(300) / 2 * linspace(0, 1, NFFT / 2))'; % Vector containing frequencies in Hz
    amp = 2 * abs(Y(1:(NFFT / 2))); % Vector containing corresponding amplitudes
    Energy95=sum(amp)*0.95;
    Energy=cumsum(amp);
    [mini pos]=min(abs(Energy-Energy95));
    RRR(i)=f(pos); 
end

for i= 1:length(RecordOtros)
   [tm,ecg,fs,siginfo]=rdmat(RecordOtros{i});
   NFFT = 2 ^ nextpow2(length(ecg)); 
   Y = fft(double(ecg), NFFT) / length(ecg);
   f = (double(300) / 2 * linspace(0, 1, NFFT / 2))'; % Vector containing frequencies in Hz
   amp = 2 * abs(Y(1:(NFFT / 2))); % Vector containing corresponding amplitudes
   Energy95=sum(amp)*0.95;
    Energy=cumsum(amp);
    [mini pos]=min(abs(Energy-Energy95));
    RRO(i)=f(pos); 
end

FFTEner95 = [RRN RRFA RRR RRO];

g = [repmat(1, [length(RRN), 1]) ; repmat(2, [length(RRFA), 1]); repmat(3, [length(RRR), 1]); repmat(4, [length(RRO), 1])];
figure; 
boxplot([RRN RRFA RRR RRO], g,'Notch','on','Labels', {'RRN','RRFA','RRR','RRO'},'Whisker',1)
title('Media intervalos RR')