function [FFTstd] = FFT_std_Signal(ecg,fs)
NFFT = 2 ^ nextpow2(length(ecg)); 
Y = fft(double(ecg), NFFT) / length(ecg);
f = (double(300) / 2 * linspace(0, 1, NFFT / 2))'; % Vector containing frequencies in Hz
amp = 2 * abs(Y(1:(NFFT / 2))); % Vector containing corresponding amplitudes
FFTstd=std(amp);