% [num,RecordNormal]=xlsread('300.xlsx',2); 
% [num,RecordFA]=xlsread('300.xlsx',3);
% [num,RecordRuido]=xlsread('300.xlsx',4);
% [num,RecordOtros]=xlsread('300.xlsx',5);
RRN=[]; RRFA=[]; RRR=[]; RRO=[];
f=[];amp=[];
for i= 1:length(RecordNormal)
    [tm,ecg,fs,siginfo]=rdmat(RecordNormal{i});
    NFFT = 2 ^ nextpow2(length(ecg)); 
    Y = fft(double(ecg), NFFT) / length(ecg);
    f = (double(300) / 2 * linspace(0, 1, NFFT / 2))'; % Vector containing frequencies in Hz
    amp = 2 * abs(Y(1:(NFFT / 2))); % Vector containing corresponding amplitudes
    %amp(find(amp==max(amp)))=[];
    pos = find(amp==max(amp));
    RRN(i)=f(pos);
end

for i= 1:length(RecordFA)
    [tm,ecg,fs,siginfo]=rdmat(RecordFA{i});
    NFFT = 2 ^ nextpow2(length(ecg)); 
    Y = fft(double(ecg), NFFT) / length(ecg);
    f = (double(300) / 2 * linspace(0, 1, NFFT / 2))'; % Vector containing frequencies in Hz
    amp = 2 * abs(Y(1:(NFFT / 2))); % Vector containing corresponding amplitudes
    %amp(find(amp==max(amp)))=[];
    pos = find(amp==max(amp));
    RRFA(i)=f(pos);
end

for i= 1:length(RecordRuido)
    [tm,ecg,fs,siginfo]=rdmat(RecordRuido{i});
    NFFT = 2 ^ nextpow2(length(ecg)); 
    Y = fft(double(ecg), NFFT) / length(ecg);
    f = (double(300) / 2 * linspace(0, 1, NFFT / 2))'; % Vector containing frequencies in Hz
    amp = 2 * abs(Y(1:(NFFT / 2))); % Vector containing corresponding amplitudes
    %amp(find(amp==max(amp)))=[];
    pos = find(amp==max(amp));
    RRR(i)=f(pos);
end
for i= 1:length(RecordOtros)
    [tm,ecg,fs,siginfo]=rdmat(RecordOtros{i});
    NFFT = 2 ^ nextpow2(length(ecg)); 
    Y = fft(double(ecg), NFFT) / length(ecg);
    f = (double(300) / 2 * linspace(0, 1, NFFT / 2))'; % Vector containing frequencies in Hz
    amp = 2 * abs(Y(1:(NFFT / 2))); % Vector containing corresponding amplitudes
    %amp(find(amp==max(amp)))=[];
    pos = find(amp==max(amp));
    RRO(i)=f(pos);
end


FFTSenyal = [RRN RRFA RRR RRO];


%g = [repmat(1, [length(RRN), 1]) ; repmat(2, [length(RRFA), 1])];
%figure; 
%boxplot([RRN RRFA RRR RRO], g,'Notch','on','Labels', {'RRN','RRFA'},'Whisker',1)
%title('Media intervalos RR')
