% [num,RecordNormal]=xlsread('300.xlsx',2); 
% [num,RecordFA]=xlsread('300.xlsx',3);
% [num,RecordRuido]=xlsread('300.xlsx',4);
% [num,RecordOtros]=xlsread('300.xlsx',5);
RRN=[]; RRFA=[]; RRR=[]; RRO=[];
f=[];amp=[];

for i= 1:length(RecordNormal)
    [tm,ecg,fs,siginfo]=rdmat(RecordNormal{i});
    NFFT = 2 ^ nextpow2(length(ecg)); 
    Y = fft(double(ecg), NFFT) / length(ecg);
    f = (double(300) / 2 * linspace(0, 1, NFFT / 2))'; % Vector containing frequencies in Hz
    amp = 2 * abs(Y(1:(NFFT / 2))); % Vector containing corresponding amplitudes
    PSD = sqrt(abs(amp)); 
    Energy50=sum(PSD)*0.5;
    Energy=cumsum(PSD);
    [mini pos]=min(abs(Energy-Energy50));
    var1N(i)=f(pos);
end

for i= 1:length(RecordFA)
    [tm,ecg,fs,siginfo]=rdmat(RecordFA{i});
    NFFT = 2 ^ nextpow2(length(ecg)); 
    Y = fft(double(ecg), NFFT) / length(ecg);
    f = (double(300) / 2 * linspace(0, 1, NFFT / 2))'; % Vector containing frequencies in Hz
    amp = 2 * abs(Y(1:(NFFT / 2))); % Vector containing corresponding amplitudes
    PSD = sqrt(abs(amp)); 
    Energy50=sum(PSD)*0.5;
    Energy=cumsum(PSD);
    [mini pos]=min(abs(Energy-Energy50));
    var1A(i)=f(pos);
end

for i= 1:length(RecordRuido)
    [tm,ecg,fs,siginfo]=rdmat(RecordRuido{i});
    NFFT = 2 ^ nextpow2(length(ecg)); 
    Y = fft(double(ecg), NFFT) / length(ecg);
    f = (double(300) / 2 * linspace(0, 1, NFFT / 2))'; % Vector containing frequencies in Hz
    amp = 2 * abs(Y(1:(NFFT / 2))); % Vector containing corresponding amplitudes
    PSD = sqrt(abs(amp)); 
    Energy50=sum(PSD)*0.5;
    Energy=cumsum(PSD);
    [mini pos]=min(abs(Energy-Energy50));
    var1R(i)=f(pos); 
end

for i= 1:length(RecordOtros)
   [tm,ecg,fs,siginfo]=rdmat(RecordOtros{i});
   NFFT = 2 ^ nextpow2(length(ecg)); 
   Y = fft(double(ecg), NFFT) / length(ecg);
   f = (double(300) / 2 * linspace(0, 1, NFFT / 2))'; % Vector containing frequencies in Hz
   amp = 2 * abs(Y(1:(NFFT / 2))); % Vector containing corresponding amplitudes
   PSD = sqrt(abs(amp)); 
   Energy50=sum(PSD)*0.5;
   Energy=cumsum(PSD);
   [mini pos]=min(abs(Energy-Energy50));
   var1O(i)=f(pos); 
end

PSDEner50 =  [var1N var1A var1R var1O];

%g = [repmat(1, [length(RRN), 1]) ; repmat(2, [length(RRFA), 1]); repmat(3, [length(RRR), 1]); repmat(4, [length(RRO), 1])];
%figure; 
%boxplot([RRN RRFA RRR RRO], g,'Notch','on','Labels', {'RRN','RRFA','RRR','RRO'},'Whisker',1)
%title('Media intervalos RR')