 [num,RecordNormal]=xlsread('300.xlsx',2); 
 [num,RecordFA]=xlsread('300.xlsx',3);
 [num,RecordRuido]=xlsread('300.xlsx',4);
 [num,RecordOtros]=xlsread('300.xlsx',5);
RRN=[]; RRFA=[]; RRR=[]; RRO=[]; f=[];amp=[];


for i= 1:length(RecordNormal)
    
    [tm,ecg,fs,siginfo]=rdmat(RecordNormal{i});
    
    [QRS,sign,en_thres] = qrs_detect2(ecg',0.25,0.6,fs);
     RRN=var(diff(QRS')/fs);
     
    NFFT = 2 ^ nextpow2(length(ecg)); 
    Y = fft(double(ecg), NFFT) / length(ecg);
    f = (double(300) / 2 * linspace(0, 1, NFFT / 2))'; % Vector containing frequencies in Hz
    amp = 2 * abs(Y(1:(NFFT / 2))); % Vector containing corresponding amplitudes
    PSD = sqrt(abs(amp)); 
    var1N = mean(PSD);
    
    RMSN = rms(ecg);
    
    ParN(i)=sqrt(RMSN*RRN*var1N);
end

for i= 1:length(RecordFA)
    
    [tm,ecg,fs,siginfo]=rdmat(RecordFA{i});
    
    [QRS,sign,en_thres] = qrs_detect2(ecg',0.25,0.6,fs);
    RRFA=var(diff(QRS')/fs);
    
    NFFT = 2 ^ nextpow2(length(ecg)); 
    Y = fft(double(ecg), NFFT) / length(ecg);
    f = (double(300) / 2 * linspace(0, 1, NFFT / 2))'; % Vector containing frequencies in Hz
    amp = 2 * abs(Y(1:(NFFT / 2))); % Vector containing corresponding amplitudes
    PSD = sqrt(abs(amp)); 
    var1A = mean(PSD);
    
    RMSA = rms(ecg);
    
    ParFA(i)=sqrt(RMSA*RRFA*var1A);
end

for i= 1:length(RecordRuido)
    
    [tm,ecg,fs,siginfo]=rdmat(RecordRuido{i});
    
    [QRS,sign,en_thres] = qrs_detect2(ecg',0.25,0.6,fs);
    RRR=var(diff(QRS')/fs); 
    
    NFFT = 2 ^ nextpow2(length(ecg)); 
    Y = fft(double(ecg), NFFT) / length(ecg);
    f = (double(300) / 2 * linspace(0, 1, NFFT / 2))'; % Vector containing frequencies in Hz
    amp = 2 * abs(Y(1:(NFFT / 2))); % Vector containing corresponding amplitudes
    PSD = sqrt(abs(amp)); 
    var1R = mean(PSD);
    
    RMSR = rms(ecg);
    
    ParR(i)=sqrt(RMSR*RRR*var1R);
end
%RRR(find(RRR==max(RRR(:))))=[];
%RRR(find(RRR==max(RRR(:))))=[];
for i= 1:length(RecordOtros)
    
    [tm,ecg,fs,siginfo]=rdmat(RecordOtros{i});
    
    [QRS,sign,en_thres] = qrs_detect2(ecg',0.25,0.6,fs);
    RRO=var(diff(QRS')/fs);
    
    NFFT = 2 ^ nextpow2(length(ecg)); 
    Y = fft(double(ecg), NFFT) / length(ecg);
    f = (double(300) / 2 * linspace(0, 1, NFFT / 2))'; % Vector containing frequencies in Hz
    amp = 2 * abs(Y(1:(NFFT / 2))); % Vector containing corresponding amplitudes
    PSD = sqrt(abs(amp)); 
    var1O = mean(PSD);
    
    RMSO = rms(ecg);
    ParO(i)=sqrt(RMSO*RRO*var1O);
    
end

Par = [ParR ParFA ParR ParO];
g = [repmat(1, [length(ParN), 1]) ; repmat(2, [length(ParFA), 1]); repmat(3, [length(ParR), 1]); repmat(4, [length(ParO), 1])];
figure; 
boxplot([ParN ParFA ParR ParO], g,'Notch','on','Labels', {'ParN','ParFA','ParR','ParO'},'Whisker',1)
title('Nuevo parmetro II')
