function [ ecgout, patrones, num_complejos, p,q] = fdetec( ecg, fs )

v_ant = 60;
v_pos = 350;
m = mode(ecg);
ecg = ecg - m;
[qrs_pos,sign,en_thres] = qrs_detect2(ecg,0.25,0.6,fs);

if length(qrs_pos)>2
    
[latidos, lim_ventana, p] = enventanaQRS(ecg,qrs_pos,fs,v_ant,v_pos);
[tipo_QRS,patrones,num_complejos] = ClasificaComplejos(latidos);

ini = lim_ventana(:,1);
fin = lim_ventana(:,2);
if p == 3
    ecg = [ecg zeros(1,fin(length(fin))-length(ecg))];
end

for i = 1:length(tipo_QRS) 
    sp = size(patrones,2);   
    complejo = [ini(i):fin(i)];
    sc =[ini(i):fin(i)];
    d = (patrones(tipo_QRS(i),:)*ecg(complejo)')/(patrones(tipo_QRS(i),:) * patrones(tipo_QRS(i),:)');
    ecg = [ecg(1:ini(i)-1) ecg(complejo) - d*patrones(tipo_QRS(i),:) ecg(fin(i)+1:length(ecg))] ;    
end
 ecgout = ecg;

%Fnorm1 = 4/(fs/2);
%Fnorm2 = 8/(fs/2);
%[b,a] = butter(6,[ Fnorm2],'low');
%df = designfilt('lowpassfir','FilterOrder',70,'CutoffFrequency',Fnorm);
%grpdelay(df,2048,fs)   % plot group delay
%D = round(mean(grpdelay(df))) % filter delay in samples
%ecgoutf = filter(b,a,ecgout); % Append D zeros to the input data
%ecgoutf = ecgoutf(D+1:end);                  % Shift data to compensate for delay
%t = (0:length(ecg)-1)/fs;
q=0;

%figure
%plot(t,ecgout,t,ecgoutf,'r','linewidth',1.5);
%title('Filtered Waveforms');
%xlabel('Time (s)')
%legend('Original Noisy Signal','Filtered Signal');
%grid on
%axis tight

else
q = 1;
%ecgoutf = [];
ecgout = [];
patrones = [];
num_complejos = [];
b = [];
a = [];
p = [];
end
end

