% [num,RecordNormal]=xlsread('8000.xlsx',2); 
% [num,RecordFA]=xlsread('8000.xlsx',3);
% [num,RecordOtros]=xlsread('8000.xlsx',5);

for i= 1:length(RecordNormal)
    [tm,ecg,fs,siginfo]=rdmat(RecordNormal{i});
    [QRS,sign,en_thres] = qrs_detect2(ecg',0.25,0.6,fs);
    RRN=diff(QRS')/fs;
    for j= 1:(length(RRN)-1)
        SD1L(j)=abs(RRN(j+1)-RRN(j))/sqrt(2);
        SD2L(j)=abs((RRN(j+1)+RRN(j))/sqrt(2)-2*mean(RRN));
    end
    SD1N(i)=var(SD1L);
    SD2N(i)=var(SD2L);
end

for i= 1:length(RecordFA)
    [tm,ecg,fs,siginfo]=rdmat(RecordFA{i});
    [QRS,sign,en_thres] = qrs_detect2(ecg',0.25,0.6,fs);
    RRFA=diff(QRS')/fs;
    for j= 1:(length(RRFA)-1)
        SD1FAL(j)=abs(RRFA(j+1)-RRFA(j))/sqrt(2);
        SD2FAL(j)=abs((RRFA(j+1)+RRFA(j))/sqrt(2)-2*mean(RRFA));
    end
    SD1FA(i)=var(SD1FAL);
    SD2FA(i)=var(SD2FAL);
end

for i= 1:length(RecordOtros)
    [tm,ecg,fs,siginfo]=rdmat(RecordOtros{i});
    [QRS,sign,en_thres] = qrs_detect2(ecg',0.25,0.6,fs);
    RRO=diff(QRS')/fs;
    for j= 1:(length(RRO)-1)
        SD1OL(j)=abs(RRO(j+1)-RRO(j))/sqrt(2);
        SD2OL(j)=abs((RRO(j+1)+RRO(j))/sqrt(2)-2*mean(RRO));
    end
    SD1O(i)=var(SD1OL);
    SD2O(i)=var(SD2OL);
end

SD1 = [SD1N SD1FA SD1O];
% g1 = [repmat(1, [length(SD1N), 1]) ; repmat(2, [length(SD1FA), 1]);  repmat(3, [length(SD1O), 1])];
% figure; 
% boxplot([SD1N SD1FA SD1O], g1,'Notch','on','Labels', {'SD1N','SD1FA','SD1O'},'Whisker',1)
% title('Desviacin 1 intervalos RR')
 
SD2 = [SD2N SD2FA SD2O];
% g2 = [repmat(1, [length(SD2N), 1]) ; repmat(2, [length(SD2FA), 1]); repmat(3, [length(SD2O), 1])];
% figure; 
% boxplot([SD2N SD2FA SD2O], g2,'Notch','on','Labels', {'SD2N','SD2FA','SD2O'},'Whisker',1)
% title('Desviacin 2 intervalos RR')